List of all alert records during specified time_bucket_start and time_bucket_end for the given alert rule
curl --request GET \
--url https://api.example.com/v3/alert-rules/{alert_id}/records \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v3/alert-rules/{alert_id}/records"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v3/alert-rules/{alert_id}/records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"api_version": "3.0",
"kind": "PAGINATED",
"data": {
"page_size": 10,
"item_count": 10,
"total": 100,
"page_count": 10,
"page_index": 1,
"offset": 0,
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"alert_rule_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"alert_rule_revision": 123,
"critical_threshold": 123,
"baseline_time_bucket": 123,
"baseline_value": 123,
"severity": "WARNING",
"alert_time_bucket": 123,
"alert_value": 123,
"message": "<string>",
"feature_name": "<string>",
"alert_record_main_version": 123,
"alert_record_sub_version": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"warning_threshold": 123,
"alert_run_start_time": 123,
"failure_reason": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}Alert Rules
List of all alert records during specified time_bucket_start and time_bucket_end for the given alert rule
List of all alert records during specified time_bucket_start and time_bucket_end for the given alert rule
GET
/
v3
/
alert-rules
/
{alert_id}
/
records
List of all alert records during specified time_bucket_start and time_bucket_end for the given alert rule
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
alert id path parameter
Query Parameters
requested start time
requested end time
Limit for the pagination
Offset for the pagination
Allows you to order results by any field. For desc order prefix field name with - and provide comman separated values for multiple fields
Allows you to search by any field.
Name of the Feature
Response
List of all alert records in the given time_bucket_start and time_bucket_end for the given alert rule
Was this page helpful?